Opened 4 years ago

Closed 22 months ago

#3475 closed defect (rejected)

BR-2 - Save and restore backup - TXT / Windows Windows 10 FFESR / 0028 / fail

Reported by: passbrains Assignee:
Priority: Unknown Milestone:
Module: Platform Keywords:
Cc: kzar Blocked By:
Blocking: Platform: Firefox
Ready: no Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

Description (last modified by kzar)

Adapted from https://platform.passbrains.com/dashboard/view-ticket.php?ticket_no=ARE-198

Environment

Windows + Windows 10 + Firefox ESR + English
ABP version 2.6.10.3979-beta

How to reproduce

  1. Select [ABP Icon] > [Filter preferences...].
  2. Select the [Filter subscriptions] tab, if not already focused.
  3. Ensure at least one filter subscription is installed, if not, add one (any).
  4. Select the [Custom filters] tab.
  5. Select the [Add filter group] button and call this group 'Disabled group'.
  6. Select the [Add filter] button and give the new filter a value (any).
  7. Select the [Add filter] button again and give the new filter a value (any).
  8. Disable (uncheck) one of the filters you just created.
  9. Disable (uncheck) the filter group called 'Disabled group'.
  10. Select the [Add filter group] button and call this group 'Enabled group'.
  11. Select the [Add filter] button and give the new filter a value (any).
  12. Select the [Add filter] button again and give the new filter a value (any).
  13. Disable (uncheck) one of the filters you just created.
  14. Select the [Backup and Restore] button.
  15. Select the [Create new backup...] dropdown entry.
  16. Set the 'Save as type' field to 'Custom filters only (*.txt)'
  17. Enter a filename (any) and select the [Save] button.
  18. Add to, modify and delete things in your current existing filter set (however you like).
  19. Select the [Backup and Restore] button.
  20. Select the [Restore own backup...] dropdown entry.
  21. Select the file you save at Test Step 5.
  22. Ensure the warning dialog about your filter preferences being overwritten is displayed.
  23. Select [OK] in the warning dialog.
  24. Ensure the restored filters and their state (such as enabled/disabled) are correctly imported as was set up.

 

Observed behaviour

After restoring (importing) backup, group which was saved as disabled becomes enabled.

Expected behaviour

The backup file and its filters/state are imported and have their state set correctly.

Attachments (3)

2315_1442652816_2015-09-19_11-48-16.mp4 (3.8 MB) - added by passbrains 4 years ago.
2315_1442652816_before_exporting.png (90.9 KB) - added by passbrains 4 years ago.
2315_1442652817_After_importing.png (89.7 KB) - added by passbrains 4 years ago.

Download all attachments as: .zip

Change History (5)

Changed 4 years ago by passbrains

Changed 4 years ago by passbrains

Changed 4 years ago by passbrains

comment:1 Changed 4 years ago by passbrains

1 - 21 Sep 2015 22:50:32 posted by Timo Scherf
Reproduced with Firefox released version (see ARE-203)

Reproduced with Firefox developer version 42.0a2 Win 7 64 bit

2 - 08 Nov 2015 14:01:20 posted by Timo Scherf
Reproduced with ABP 2.6.11.4010
Firefox Dev Edition 44.0a2
Tested on Win 7 64 bit

3 - 06 Dec 2015 21:31:53 posted by Timo Scherf
Still exisitng:
ABP 2.6.13.4089
Firefox 42.0
Win 10 64bit

4 - 06 Jan 2016 14:23:49 posted by Scott Cheer
Confirmed, occurs on FireFox 43.0 and ABP 2.7.

comment:2 Changed 22 months ago by kzar

  • Cc kzar added
  • Component changed from Unknown to Platform
  • Description modified (diff)
  • Resolution set to rejected
  • Status changed from new to closed

I don't think the Firefox WebExtension version of Adblock Plus even has the filter backup / restore feature any more. Closing this.

Note: See TracTickets for help on using tickets.